%define realname pysqlite
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:		python-sqlite2
Version:	2.6.3
Release:	%mkrel 8
License:	zlib
Group:		Development/Python
Summary:	Python bindings for sqlite3
Source0:	http://pysqlite.googlecode.com/files/%{realname}-%{version}.tar.gz
Url:		http://pysqlite.googlecode.com/
BuildRequires:	python-devel 
BuildRequires:	sqlite3-devel 

%description
This packages allows you to use sqlite3 with python.
sqliite is a simple database engine.

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} ./setup.py install --root=%buildroot --skip-build
mv %{buildroot}%{_prefix}/pysqlite2-doc/ installed-docs

%check
cd %{buildroot}%{python_sitearch}
%{__python} -c "from pysqlite2 import test; test.test()"

%files
%doc installed-docs/*
%{python_sitearch}/*




%changelog
* Wed Feb 03 2016 umeabot <umeabot> 2.6.3-8.mga6
+ Revision: 933061
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.6.3-7.mga5
+ Revision: 748459
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.6.3-6.mga5
+ Revision: 729836
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.6.3-5.mga5
+ Revision: 688352
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.6.3-3.mga4
+ Revision: 544184
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.6.3-2.mga4
+ Revision: 499442
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 2.6.3-1.mga4
+ Revision: 491796
- Update to 2.6.3

* Sun Jan 13 2013 umeabot <umeabot> 2.5.5-4.mga3
+ Revision: 379548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 ennael <ennael> 2.5.5-3.mga1
+ Revision: 34817
- imported package python-sqlite2


* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 2.5.5-3mdv2011.0
+ Revision: 591996
- Rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5.5-2mdv2010.1
+ Revision: 523879
- rebuilt for 2010.1

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 2.5.5-1mdv2010.0
+ Revision: 370371
- Update to new version 2.5.5
- Update source URL

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 2.4.1-3mdv2009.1
+ Revision: 319667
- rebuild with python 2.6

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.4.1-2mdv2009.0
+ Revision: 225163
- rebuild

* Wed Feb 06 2008 Frederik Himpe <fhimpe@mandriva.org> 2.4.1-1mdv2008.1
+ Revision: 163142
- New upstream version
- Clean up the SPEC file a bit

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 18 2007 Götz Waschk <waschk@mandriva.org> 2.3.5-1mdv2008.0
+ Revision: 53207
- new version
- add tests
- fix build by adding missing setup.cfg

* Wed Apr 25 2007 Götz Waschk <waschk@mandriva.org> 2.3.3-1mdv2008.0
+ Revision: 18341
- new version


* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.2.0-3mdv2007.0
+ Revision: 88226
- rebuild

* Wed Nov 15 2006 Lenny Cartier <lenny@mandriva.com> 2.2.0-2mdv2007.1
+ Revision: 84355
- Import python-sqlite2

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdv2007.0
- Rebuild

* Fri Apr 07 2006 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdk
- fix build
- drop patch
- fix URL
- New release 2.2.0

* Thu Feb 02 2006 Götz Waschk <waschk@mandriva.org> 2.1.3-1mdk
- New release 2.1.3

* Wed Jan 18 2006 Götz Waschk <waschk@mandriva.org> 2.1.0-2mdk
- fix buildrequires

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 2.1.0-1mdk
- fix build
- New release 2.1.0

* Tue Oct 25 2005 Götz Waschk <waschk@mandriva.org> 2.0.5-1mdk
- New release 2.0.5

* Tue Sep 13 2005 Götz Waschk <waschk@mandriva.org> 2.0.4-1mdk
- add source URL
- new version

* Wed Jul 27 2005 Michael Scherer <misc@mandriva.org> 2.0.3-3mdk
- %%mkrel

* Tue Jul 12 2005 Götz Waschk <waschk@mandriva.org> 2.0.3-2mdk
- fix buildrequires

* Tue Jul 12 2005 Götz Waschk <waschk@mandriva.org> 2.0.3-1mdk
- initial package

* Fri Jan 21 2005 Michael Scherer <misc@mandrake.org> 1.0.1-1mdk
- New release 1.0.1

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 1.0-2mdk
- Rebuild for new python

* Fri Oct 15 2004 Michael Scherer <misc@mandrake.org> 1.0-1mdk
- New release 1.0

* Wed Aug 18 2004 Michael Scherer <misc@mandrake.org> 0.5.1-1mdk
- New release 0.5.1

* Wed Mar 24 2004 Michael Scherer <mscherer@mandrakesoft.com> 0.5.0-1mdk 
- First Mandrakesoft Package

